# ``twisted`.`logger`.`FileLogObserver``

class documentation

`class FileLogObserver: (source)`

Implements interfaces: `twisted.logger.ILogObserver`

View In Hierarchy

Log observer that writes to a file-like object.

Method | `__call__` | Write event to file.
Method | `__init__` |
Instance Variable | `formatEvent` | Undocumented
Instance Variable | `_encoding` | Undocumented
Instance Variable | `_outFile` | Undocumented

def __call__(self, event): (source)
from `twisted.logger.ILogObserver`
Write event to file.

Parameters
event:`LogEvent` | An event.

def __init__(self, outFile, formatEvent): (source)

Parameters
outFile:`IO[Any]` | A file-like object. Ideally one should be passed which accepts text data. Otherwise, UTF-8 `bytes` will be used.
formatEvent:`Callable[[LogEvent], Optional[str]]` | A callable that formats an event.

formatEvent = (source)

Undocumented

_encoding = (source)

Undocumented

_outFile = (source)

Undocumented